package data;

import java.awt.*;
import java.awt.event.*;


/**
 * class PhasenDlg shows a dialog in which a 2D-Plot of two choosable
 * variables is made
 */
public class PhasenDlg extends Frame
implements WindowListener
{
	Button	btnClose = new Button( "Close" );

	Choice cbX = new Choice();
	Choice cbY = new Choice();

	PhasenPanel pnlPhase;

	public PhasenDlg( DataList data )
	{
		super( "Phase" );
		resize( 400, 450 );

		setLayout( new BorderLayout() );
		add( "South", btnClose );

		if( data == null )
		{
			add( "Center", new Label( "No data available." ) );
		}
		else
		if( data.dimension() < 2 )
		{
			add( "Center", new Label( "Function needs at least 2 dimensions." ) );
		}
		else
		{
			Panel top = new Panel();

			top.add( new Label( "X:" ) );
			top.add( cbX );
			top.add( new Label( "Y:" ) );
			top.add( cbY );

			add( "North", top );

			pnlPhase = new PhasenPanel(data);

			add( "Center", pnlPhase );

			for( int d = 0; d < data.dimension(); d++ )
			{
				cbX.addItem( data.getName(d) );
				cbY.addItem( data.getName(d) );
			}

			cbX.select( data.getName(0) );
			cbY.select( data.getName(1) );
		}
		
		addWindowListener(this);
	}

	public boolean action( Event e, Object what )
	{
		if( e.target instanceof Button )
		{
			String sWhat = (String)what;

			if( sWhat.equals( btnClose.getLabel() ) )
			{
				hide();
				dispose();
				return true;
			}
		}
		if( e.target instanceof Choice )
		{
			pnlPhase.setDimension( cbX.getSelectedIndex(), 
								   cbY.getSelectedIndex() );

			return true;
		}
		
		return false;
	}
	
    public void windowActivated(WindowEvent e) {} 
    public void windowClosed(WindowEvent e) {}
    public void windowClosing(WindowEvent e)
	{
      hide();
	  dispose();
	}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
		
}

