package graphoutput; 

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;

 /**
  * Class Range
  * Defines a range
  */

public class Range
//implements Serializable
{
  private double min, max;

  public Range (double min, double max)
  {
    if(min<max)
	{
      this.min=min;
	  this.max=max;
	}
	else
	{
      this.max=min;
	  this.min=max;
	}	
  }
  
  public Range()
  {
    min = Double.POSITIVE_INFINITY;
    max = Double.NEGATIVE_INFINITY;
  }

  public double getMin()
  {
    return min;
  }
  
  public double getMax()
  {
    return max;
  }
 
  public double getMin2()
  {
    Integer i = new Integer( (new Double((100.0*min))).intValue() );
	return (i.doubleValue() / 100.0);
  } 
   
  public double getMax2()
  {
    Integer i = new Integer( (new Double((100.0*max))).intValue() );
	return (i.doubleValue() / 100.0);
  }

  public double getMin3()
  {
    Integer i = new Integer( (new Double((1000.0*min))).intValue() );
	return (i.doubleValue() / 1000.0);
  }

  public double getMax3()
  {
    Integer i = new Integer( (new Double((1000.0*max))).intValue() );
	return (i.doubleValue() / 1000.0);
  }


  public void checkRange(double x)
  {
    if(x<min) min=x;
	if(x>max) max=x;
  }

  public String toString()
  {
   return new String("[min="+min+", max="+max+"]");
  }


  /**
   *  calculates the relative position according to the range
   *  between 0.0 and 1.0
   */
  public double normalize(double v)
  {
    return (v-min)/(max-min);
  }

  /**
   *  calculates with a given value between 0 and 1 the position
   *  within the range
   */
  public double fitIntoRange(double n)
  {
    Integer i = new Integer( (new Double((10000.0*(min + n*(max-min))))).intValue() );
	return (i.doubleValue() / 10000.0);
  }

}
		       
